Loading...
Searching...
No Matches
vty_bind Struct Reference

## Data Fields

struct llist_head | list
const char * | name
enum gprs_ns2_ll | ll
int | dscp
uint8_t | priority
bool | accept_ipaccess
bool | accept_sns
uint8_t | ip_sns_sig_weight
uint8_t | ip_sns_data_weight

## Field Documentation

## accept_ipaccess

bool vty_bind::accept_ipaccess

Referenced by config_write_vbind(), DEFUN(), DEFUN(), and DEFUN().

## accept_sns

bool vty_bind::accept_sns

Referenced by config_write_vbind(), DEFUN(), DEFUN(), and DEFUN().

## dscp

int vty_bind::dscp

Referenced by config_write_vbind(), DEFUN(), DEFUN(), and DEFUN().

## ip_sns_data_weight

uint8_t vty_bind::ip_sns_data_weight

Referenced by config_write_vbind(), DEFUN(), and vty_bind_alloc().

## ip_sns_sig_weight

uint8_t vty_bind::ip_sns_sig_weight

Referenced by config_write_vbind(), DEFUN(), and vty_bind_alloc().

## list

struct llist_head vty_bind::list

Referenced by config_write_ns_bind(), vty_bind_alloc(), vty_bind_by_name(), and vty_bind_free().

## ll

enum gprs_ns2_ll vty_bind::ll

Referenced by config_write_vbind(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), vty_nse_add_vbind(), and vty_nse_remove_vbind().

## name

const char* vty_bind::name

Referenced by _config_write_ns_nse(), config_write_ns(), config_write_vbind(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), DEFUN(), ns2_sns_add_sns_default_binds(), vty_bind_alloc(), and vty_bind_by_name().

## priority

uint8_t vty_bind::priority

Referenced by config_write_vbind(), and DEFUN().

The documentation for this struct was generated from the following file:

- src/gb/gprs_ns2_vty.c